#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.inbox'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.daftar_email_masuk'}</li>
</ul>

<div class="content">
<div class="bs-callout bs-callout-warning">
    <strong>&{'rekanan.perhatian'} :</strong><br/>
    &{'rekanan.perhatian_1'}<br/>
    &{'rekanan.perhatian_2'}
</div>

<table id="tblInbox" class="table table-sm">
         <thead>
         <tr>
             <th>&{'rekanan.tanngal'}</th>
             <th>&{'rekanan.kode_paket'}</th>
             <th>&{'rekanan.metode'}</th>
             <th>&{'rekanan.subjek'}</th>
            </tr>
         </thead>
   </table> 
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var detil  = #{jsRoute @rekanan.RekananCtr.inboxDetil(':id') /};
var source = #{jsRoute @DataTableCtr.inbox(':id') /};
var table = $("#tblInbox").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.inbox(status)}",
        columns: [{render: function(data, type, row) {
        	 	var id = row[0];
        		row[0] = row[1];
                row[1] = row[3];
        		row[3] = '<a target="_blank" href="'+detil.url({id:id})+'" >'+row[2]+'</a>';
                row[2] = row[4];
        		return row[0];
        	}},null, {orderable:false}, null, {visible:false}
        ]
    });
    $('#tblInbox_filter input').unbind();
    $('#tblInbox_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
 $('.status').click(function(){
	var id = $(this).attr('value')
	table.ajax.url(source.url({id:id})).load()
})
</script>
#{/set}